Jdownloader

All about Asustor Packages
Post Reply
weijung
Posts: 2
Joined: Sat Jul 28, 2018 6:00 am
Has thanked: 0
Been thanked: 0

Jdownloader

Post by weijung » Sat Jul 28, 2018 6:08 am

Hello, since we updated to ADM 3.1.5.RJ42, entware-ng dissapeared, and thus, we cannot longer install Jdownloader2.
Is there any plans to update this?
User avatar
philippe
Site Admin
Posts: 207
Joined: Mon Apr 16, 2018 3:10 pm
Has thanked: 1 time
Been thanked: 8 times

Re: Jdownloader

Post by philippe » Sat Jul 28, 2018 9:41 am

Hi,
weijung wrote:
Sat Jul 28, 2018 6:08 am
Hello, since we updated to ADM 3.1.5.RJ42, entware-ng dissapeared, and thus, we cannot longer install Jdownloader2.
Is there any plans to update this?
Entware-ng is replaced by Entware (a merge of Entware-ng and Entware-3x (3x never before available for Asustor) )
... to move to Entware (on x86_64 and Arm models) you can
... update Entware-ng using the update procedure describe in official Asustor forum (so Entware-ng is keept as name of the package)
... get the list of current Entware-ng package installed and remove Entware-ng then do e fresh install of Entware APKG

If you have started directly with Entware ... perhaps a problem of depends ...
For Jdownloader2 ... I will have a look (in case it's the depends that are not updated) I am at 600 kms of my lab and my Asustor is not powered ... so, please, wait I will verify this soon (this evening in French hours)

Philippe.
Asustor package integrator
User avatar
philippe
Site Admin
Posts: 207
Joined: Mon Apr 16, 2018 3:10 pm
Has thanked: 1 time
Been thanked: 8 times

Re: Jdownloader

Post by philippe » Sat Jul 28, 2018 11:41 am

Hi,

After analyse of APKG 2.0-1.4.1

Entware must be used (in place of Entware-ng) for the preparation (as described in announcement post) to install some tools require and some full tools (GNU) compare to Busybox applet provide by Asustor.

After that NO dependency inside the APKG itself ... so you can use APKG 2.0-1.4.1 as usual

I update the announcement post to advice users about using Entware if Entware-ng is not installed nor updated ...

Philippe.
Asustor package integrator
Post Reply